---
title: prefers-reduced-motion
slug: Web/CSS/@media/prefers-reduced-motion
tags:
  - '@media'
  - Accessibility
  - CSS
  - Media Queries
  - Reference
  - media feature
---
<p>The <strong><code>prefers-reduced-motion</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> is used to detect if the user has requested that the system minimize the amount of non-essential motion it uses.</p>

<div class="notecard warning">
<p><strong>Important:</strong> An embedded example at the bottom of this page has a scaling movement that may be problematic for some readers. Readers with vestibular motion disorders may wish to enable the reduce motion feature on their device before viewing the animation.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<dl>
	<dt><code><dfn>no-preference</dfn></code></dt>
	<dd>Indicates that the user has made no preference known to the system.</dd>
	<dt><code><dfn>reduce</dfn></code></dt>
	<dd>Indicates that user has notified the system that they prefer an interface that removes or replaces the types of motion-based animation that trigger discomfort for those with vestibular motion disorders.</dd>
</dl>

<h2 id="User_preferences">User preferences</h2>

<p>For Firefox, the <code><dfn>reduce</dfn></code> request is honoured if:</p>

<ul>
	<li>In GTK/GNOME: GNOME Tweaks &gt; General tab (or Appearance, depending on version) &gt; Animations is turned off.
	<ul>
		<li>Alternatively, add <code>gtk-enable-animations = false</code> to the <code>[Settings]</code> block of <a href="https://wiki.archlinux.org/index.php/GTK#Configuration">the GTK 3 configuration file</a>.</li>
	</ul>
	</li>
	<li>In Plasma/KDE: System Settings &gt; Workspace Behavior -&gt; General Behavior &gt; “Animation speed” is set all the way to right to “Instant”.</li>
	<li>In Windows 10: Settings &gt; Ease of Access &gt; Display &gt; Show animations in Windows.</li>
	<li>In Windows 7: Control Panel &gt; Ease of Access &gt; Make the computer easier to see &gt; Turn off all unnecessary animations (when possible).</li>
	<li>In macOS: System Preferences &gt; Accessibility &gt; Display &gt; Reduce motion.</li>
	<li>In iOS: Settings &gt; General &gt; Accessibility &gt; Reduce Motion.</li>
	<li>In Android 9+: Settings &gt; Accessibility &gt; Remove animations.</li>
	<li>In Firefox <code>about:config</code>: Add a number preference called <code>ui.prefersReducedMotion</code> and set its value to <code>1</code>. Changes to this preference take effect immediately.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>This example has a scaling animation by default. If Reduce Motion is enabled in your accessibility preferences, the animation is toned down to a simple dissolve without vestibular motion triggers.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div class="animation"&gt;animated box&lt;/div&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">.animation {
  animation: pulse 1s linear infinite both;
}

/* Tone down the animation to avoid vestibular motion triggers like scaling or panning large objects. */
@media (prefers-reduced-motion) {
  .animation {
    animation-name: dissolve;
  }
}
</pre>

<div class="hidden">
<pre class="brush: css notranslate">.animation {
  background-color: #306;
  color: #fff;
  font: 1.2em sans-serif;
  width: 10em;
  padding: 1em;
  border-radius: 1em;
  text-align: center;
}

@keyframes pulse {
  0% { transform: scale(1); }
  25% { transform: scale(.9); }
  50% { transform: scale(1); }
  75% { transform: scale(1.1); }
  100% { transform: scale(1); }
}

@keyframes dissolve {
  0% { opacity: 1; }
  50% { opacity: 0.8; }
  100% { opacity: 1; }
}
</pre>
</div>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS5 Media Queries', '#descdef-media-prefers-reduced-motion', 'prefers-reduced-motion')}}</td>
			<td>{{Spec2('CSS5 Media Queries')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.prefers-reduced-motion")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="https://css-tricks.com/introduction-reduced-motion-media-query/">An Introduction to the Reduced Motion Media Query (CSS Tricks)</a></li>
	<li><a href="https://webkit.org/blog/7551/responsive-design-for-motion/">Responsive Design for Motion (WebKit Blog)</a> includes vestibular motion trigger examples.</li>
</ul>

<div>{{QuickLinksWithSubpages("/en-US/docs/Web/CSS/@media/")}}</div>
